> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List user connected accounts

> List the user identity-provider accounts without returning credentials.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public get /v1/users/{userId}/connected-accounts
openapi: 3.1.0
info:
  title: Tembo Public API
  description: Public API Endpoints for Tembo
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/users/{userId}/connected-accounts:
    get:
      tags:
        - Users
      summary: List user connected accounts
      description: List the user identity-provider accounts without returning credentials.
      operationId: listUserConnectedAccounts
      parameters:
        - in: path
          name: userId
          schema:
            type: string
            minLength: 1
            maxLength: 255
          required: true
        - in: query
          name: cursor
          schema:
            type: string
            minLength: 1
            maxLength: 255
        - in: query
          name: limit
          schema:
            type: string
            pattern: ^\d+$
            default: '50'
      responses:
        '200':
          description: List user connected accounts
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        accountId:
                          type: string
                        createdAt:
                          type:
                            - string
                            - 'null'
                          format: date-time
                        id:
                          type: string
                          minLength: 1
                          maxLength: 255
                        providerId:
                          type: string
                        updatedAt:
                          type:
                            - string
                            - 'null'
                          format: date-time
                        email:
                          type:
                            - string
                            - 'null'
                          format: email
                        scopes:
                          type: array
                          items:
                            type: string
                        username:
                          type:
                            - string
                            - 'null'
                      required:
                        - accountId
                        - createdAt
                        - id
                        - providerId
                        - updatedAt
                        - email
                        - scopes
                        - username
                      additionalProperties: false
                  nextCursor:
                    type:
                      - string
                      - 'null'
                    minLength: 1
                    maxLength: 255
                required:
                  - items
                  - nextCursor
                additionalProperties: false
        '400':
          description: Validation error or missing resource scope
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: User or connected account not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: User operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````